import { Answer, Days, Rating, ReviewState, Schedule } from "polar-spaced-repetition-api/src/scheduler/S2Plus/S2Plus";
import { Duration } from "polar-shared/src/util/TimeDurations";
export declare class S2Plus {
    static DEFAULT_DIFFICULTY: number;
    static DEFAULT_INTERVAL: string;
    static clamp(value: number, min: number, max: number): number;
    static calcRecallRate(reviewedAt: Date, interval: Days, timestamp?: Date): number;
    static calcPercentOverdue(reviewedAt: Date, duration: Duration, timestamp?: Date): number;
    static ratingToAnswer(rating: Rating): Answer;
    static calculateFromRating(review: ReviewState, rating: Rating): Schedule;
    static calculate(review: ReviewState, answer: Answer): Schedule;
}
